////////////////////////////////////////////////////////////////////// 
// merlin/MerlinParameters.h 
// (c) 2000-2001 Goncalo Abecasis
// 
// This file is distributed as part of the MERLIN source code package   
// and may not be redistributed in any form, without prior written    
// permission from the author. Permission is granted for you to       
// modify this file for your own personal use, but modified versions  
// must retain this copyright notice and must not be distributed.     
// 
// Permission is granted for you to use this file to compile MERLIN.    
// 
// All computer programs have bugs. Use this file at your own risk.   
// 
// Friday December 14, 2001
// 
 
#ifndef __MERLINPARAMETERS_H__
#define __MERLINPARAMETERS_H__

#include "StringBasics.h"
#include "Parameters.h"

class MerlinParameters : public ParameterList
   {
   public:
      String pedigreeFile;
      String dataFile;
      String mapFile;
      String freqFile;
      int    alleleFrequencies;
      int    steps_per_interval;
      int    random_seed;

      static int  maxMegabytes;
      static bool simulateNull;
      static bool saveReplicate;
      static bool varianceComponents;

      MerlinParameters();

      virtual void Read(int argc, char ** argv, int start = 1);
   };

class AlleleFrequencyParameter : public Parameter
   {
   public:
   AlleleFrequencyParameter(char c, const char * desc, int & how, String & file);

   virtual void Status();

   protected:
      String * filename;
      String status;

      virtual void Translate(const char * value);
   };


#endif

  
